@echo off
setlocal ENABLEEXTENSIONS DISABLEDELAYEDEXPANSION
set mingw=C:\MinGW\bin
set msys=C:\MinGW\msys\1.0\bin

setenv.exe -m PATH>>pathbackup.txt

for /f "tokens=*" %%G in ('setenv.exe -m PATH') do set pathtemp=%%G
echo %path% | grep -q -i "%mingw:\=\\%"
if "%ERRORLEVEL%"=="1" echo Adding MinGW to PATH. && setenv -m PATH "%pathtemp:"=%;%mingw%"

for /f "tokens=*" %%G in ('setenv.exe -m PATH') do set pathtemp=%%G
echo %path% | grep -q -i "%msys:\=\\%"
if "%ERRORLEVEL%"=="1" echo Adding MSYS to PATH. && setenv -m PATH "%pathtemp:"=%;%msys%"

if not exist "%mingw%" echo MinGW not detected! http://wiki.eduke32.com/wiki/Building_EDuke32_on_Windows
for %%G in (nasm.exe) do set nasm=%%~$PATH:G
if "%nasm%"=="" echo NASM not detected! http://www.nasm.us/
echo.

mingw-get update

for %%I in (mingw-get mingw32-gcc binutils mingw-runtime mpc mpfr pthreads libgomp libssp libintl libiconv gcc-c++ gcc-core gdb libexpat libgcc libgmp libmpc libmpfr libssp libstdc++ mingwrt w32api msys-bash msys-coreutils msys-make msys-core msys-regex msys-termcap mingw-utils) do (
mingw-get install %%~I
mingw-get upgrade %%~I
)

if exist "%msys%\make.exe" if exist "%mingw%\make.exe" del /f /q "%mingw%\make.exe"

endlocal

echo.
pause
